/* blog posting */
.blogForm * {
    box-sizing: border-box;
}

.blogForm {
    margin: 0px 25px;
}

.blogForm.noMargin {
    margin:0px;
}

.blogForm .saveModeLabel {
    margin-right: 8px;
}

#blogPostLeft_col
{
	float: left;
	width: 281px;
	margin-bottom: 10px;
    height:100%;
    min-height:100%;
}

#blogPostLeft_col label,
#blogPostLeft_col .b-single-post--label
{
    font-size:14px;
}

#blogPostLeft_col .innerPanel
{
	padding:15px;
	background-color:#e0dfdf;
	border-radius:3px;
	height:100%;
    min-height:100%;
}

#blogPostLeft_col .associatedContainer {
    position:relative;
    clear:both;
}

#blogPostLeft_col .associatedContainer .overlayBox{
    width:100%;
    top:62px;
	padding:4px;
	background-color:#ffffff;
	border-radius:4px;
	border:1px solid #dddddd;
	position:absolute;
}

#blogPostLeft_col .associatedContainer .overlayBox .selectorTabs ul{
  width: 100% !important;
}
#blogPostLeft_col .associatedContainer .overlayBox .selectorTabs li{
    line-height:14px;
}
#blogPostLeft_col .associatedContainer .overlayBox .selectorTabs .tabScrollArrow {
  display: none;
}

#blogPostLeft_col .associatedContainer .overlayBox .resultRow .resultLinkAction{
    height: 16px;
    line-height: 10px;
}

#blogPostLeft_col .b-single-post--file-list {
    clear:both;
    height:115px;
    background-color:white;
}

#blogPostLeft_col .b-single-post--filesInput {
    padding: 12px 12px;
    margin-bottom:10px;
}

#blogPostLeft_col .b-single-post--filesInput p {
    margin-bottom:16px;
}

#blogPostMain_col
{
	float:right;
	width:666px;
}

/* posting */

#postLeft_col
{
	float: left;
	width: 295px;
	padding-left: 16px;
	margin-bottom: 10px;
}

#postMain_col
{
	float:right;
	padding-right:15px;
	width:662px;
	margin-top:20px;
}

/* Post area file area */
.post_fileBox{
	width:476px;
	border:1px solid #dbdbdb;
	padding:8px;
	background-color:#ffffff;
	height:150px;
	overflow-y:scroll;
}

.blogPost_fileBox{
	width:210px;
	border:1px solid #dbdbdb;
	padding:8px;
	background-color:#ffffff;
	height:150px;
	overflow-y:scroll;
}

/* File box stuff */
#fileWindow_fileArea{
	border: 1px solid rgb(136, 136, 136);
	padding: 8px;
	background-color: rgb(255, 255, 255);
	height: 310px;
	margin-top:10px;
	overflow-x: hidden;
	overflow-y: scroll;
	margin-bottom:5px;
}

#fileWindow_fileArea .fileBox {
	min-width: 110px;
	flex-shrink: 1;
	flex-grow: 1;
}

#viewtab_fileUpload #submitImageForm {
	align-items: center;
	display: flex;
	flex-flow: row wrap;
	gap: 10px;
}

#viewtab_fileUpload #submitImageForm #newFile {
	max-width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

@media screen and (max-width: 650px) {
	#actionButtonsUploadSelector {
		flex-flow: row wrap;
		gap: 10px;
		justify-content: end;
	}

	#actionButtonsUploadSelector input {
		margin: 0;
	}
}

#ideaForm .divider{
	border-bottom:1px solid #dbdbdb;
	padding-bottom:18px;
	margin-bottom:18px;
    width:484px;
}

#ideaForm .formElement{
	width:484px;
	font-size:16px;
	padding:4px;
}

#ideaForm #post_category{
	width:492px;
	padding:4px;
}

#ideaForm h3 span{
	background-color:#<<$voteBarCol>>;
	color:#ffffff;
	padding-left:8px;
	padding-right:8px;
	padding-top:2px;
	padding-bottom:2px;
	margin-right:10px;
}

#ideaForm h3 span.title-span {
    background:none;
    color:#2f2f2f;
    padding:0;
    margin:0;
    line-height:26px;
}

/* Sidebar arrow */

#postLeft_col .postArrow
{
	height:110px;
	margin-top:18px;
	display:block;
	position:relative;
	float:left;
}

#postLeft_col .postArrow .innerText
{
	height:46px;
	padding:6px;
	padding-top:26px;
	padding-left:18px;
	width:213px;
	font-size:14px;
	display:block;
	color:#ffffff;
	float:left;
	border-right:0px;
	margin-left:0px;
	background-color:#<<$voteBarCol>>;
}

#postLeft_col .postArrow .innerText h2
{
	font-size:40px;
	color:#ffffff;
}

#postLeft_col .postArrow:hover
{
	text-decoration:none;
}

#postLeft_col .postArrow .arrowBottom
{
	width:0px;
	height:0px;
	border-left:20px solid #<<$voteBarCol>>;
	border-bottom:38px solid transparent;
	border-right:0px;
	border-top:0px;
	display:block;
	position:absolute;
	top:40px;
	right:-20px;
}

#postLeft_col .postArrow .arrowTop
{
	width:0px;
	height:0px;
	border-left:20px solid #<<$voteBarCol>>;
	border-top:40px solid transparent;
	border-right:0px;
	border-bottom:0px;
	display:block;
	position:absolute;
	top:0px;
	right:-20px;
}

#postSearchResults_tabContainer{
	width:223px;
}

.resultRow{
	padding:2px;
	clear:left;
	height:20px;
}

.resultRow_selected{
	background-color:#dddddd;
}

.resultRow:hover{
	background-color:#eeeeee;
}

.resultRow .resultLinkAction{
	float:right;
	display:block;
	font-size:10px;
	padding:4px;
	color:#ffffff;
	background-color:#5c5c5c;
	height:12px;
	line-height:12px;
	border-radius:2px;
}

.newPost_associatedItems{
	margin-top:4px;
    height:65px;
    width:100%;
    border: 1px solid #D7D7D7;
    padding: 5px;
    overflow-y: scroll;
    background-color:white;
}


.commentForm_userTagArea {
	padding:4px;
	font-size:12px;
	line-height:12px;
}

.commentForm_userTagArea .newUserTag{
	border:0px;
	float:left;
	font-size:14px;
	line-height:20px;
	padding:0px;
	outline:0px;
	height:28px;
	margin:4px 4px 4px 0px;
    width:150px;
}

.commentForm_userTagArea .userTag{
    float:left;
    background-color:#fff;
    background-repeat:no-repeat;
	background-position:4px 3px;
    height:28px;
    line-height:28px;
    padding:0px 8px 0px 30px;
    overflow:hidden;
    position:relative;
    margin:4px 10px 4px 0px;
    font-size:14px;
}

.commentForm_userTagArea .newUserTag:focus{
	border:0px;
	outline:0px;
	box-shadow:none;
}

.commentForm_userTagArea .noTagsMessage{
	float:left;
	padding:4px;
	margin-right:4px;
    height:28px;
    line-height:28px;
}

form .postForm_tagArea {
	border:1px solid #dedede;
	width:484px;
	padding:4px;
	font-size:12px;
	line-height:12px;
}

form .postForm_tagArea.onboard {
    height:170px;
    width:330px;
    cursor:text;
    padding:6px 7px;
    border-radius:3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    border-top: 1px solid #AAA;
    border-left: 1px solid #CCC;
    border-right: 1px solid #CCC;
    border-bottom: 1px solid #DDD;
}

form .postForm_tagArea #noTagsMessage{
	float:left;
	padding:4px;
	margin-right:4px;
}

form .postForm_tagArea .itemTag{
	float:left;
	padding:4px 6px;
	background-color:#dfdfdf;
	color:#555;
	margin:1px 4px 1px 0px;
	height:12px;
	font-weight:bold;
	border-right:2px solid #ccc;
-webkit-border-top-left-radius: 4px;
-webkit-border-bottom-left-radius: 4px;
-moz-border-radius-topleft: 4px;
-moz-border-radius-bottomleft: 4px;
border-top-left-radius: 4px;
border-bottom-left-radius: 4px;
font-size:11px;
}

form .postForm_tagArea .itemTag span{
	float:left;
}

form .postForm_tagArea .itemTag a{
	float:left;
	margin-left:8px;
	color:#555;
	font-weight:normal;
}

form .postForm_tagArea .newItemTag{
	border:0px;
	float:left;
	font-size:12px;
	line-height:12px;
	padding:4px 4px 4px 0px;
	outline:0px;
	height:12px;
	margin:1px 4px 1px 0px;
}

form .postForm_tagArea .newItemTag:focus{
	border:0px;
	outline:0px;
	box-shadow:none;
}

/* Comments Css
--------------------------- */
.commentForm .comments_upload_wrapper {
	margin:20px 0;
}

.commentForm .b-single-post--file-list {
	clear:none;
	background-color: #ffffff !important;
    border: 1px solid #d7d7d7;
    float: left;
    overflow-y: hidden !important;
    padding: 1px !important;
    width: 100%;
    border-top:0px;
	background-color: transparent !important;
}

.commentForm .b-single-post--file-list.empty {
    display:none;
}

.commentForm .b-single-post--file-item {
	clear:both;
	float:left;
	width:100%;
	border-bottom:0px;
	font-size:12px;
	position:relative;
	line-height:30px;
	padding:0px 8px;
	display: flex;
	flex-direction: row;
	align-items: center;
}

.commentForm .b-single-post--file-item:nth-child(2) {
    border-top:0px;
}

.commentForm .b-single-post--file {
    background: #fafafa none repeat scroll 0 0;
    border: 1px solid #d7d7d7;
    border-top:0px;
    border-bottom:0px;
	background-color: #ffffff !important;
    clear: both;
    float: left;
    padding: 25px 40px;
    text-align: center;
    width: 100%;
	margin-top:0px;
	margin-bottom:0px;
}

.editCommentForm .b-single-post--file {
    border: 1px solid #d7d7d7 !important;
}

.commentForm .b-single-post--file p a {
    padding:5px 10px;
}

.commentForm .remove-file {
	margin-left: 12px;
}

.commentForm .post_button_wrapper {
    position:relative;
    background-color:#fff;
    width:100%;
    border:1px solid #d7d7d7;
    margin:-1px 0 4px 0;
    padding: 5px 20px;
    border-top:0px;
}


.commentForm .msg_textrea_wrapper {
	padding: 10px 14px 10px 14px !important;

}

.commentForm .msg_textrea_wrapper.remove-padding{
  padding: 0 !important;
}

.mdl-comment-form .commentForm .mdl-comment-form__comment__top.-full-border{
  border: none !important;
  padding: 0 !important;
}

.commentForm .post_button_wrapper .b-single-idea__new-comment-area-bottom {
		position:relative;
		/* width:490px; */
}

.commentForm .post_button_wrapper .user_tag_input {
	float: none;
	width: auto !important;
  color: #000;
}

.commentForm .post_button_wrapper .b-single-idea__new-comment-button {
	position: relative;
	padding: 4px 0;
	top: 0;
	bottom: 0;
	right: 0;
	height: 36px;
}

.commentForm .post_button_wrapper .b-single-idea__new-comment-button button {
	height: 100%;
}

.commentForm textarea.b-single-idea__new-comment-area {
	height: 27px;
    padding-top:8px;
	border-bottom:0px;
}

.commentForm .b-single-idea__new-comment-area-outer {
    border-bottom:0px;
}

.commentForm .b-single-post--file.b-single-post--filesInput {
    padding:14px 10px 14px 20px;
    margin-bottom:0px;
    background-color:transparent !important;
}

.commentForm .b-single-post--file.b-single-post--filesInput.drag-over {
    background-color:white !important;
}

.commentForm .b-single-post--file.b-single-post--filesInput .label {
    float:left;
    width:auto;
    clear:none;
    text-align:left;
    margin-bottom:5px !important;
    font-size:14px
}

.commentForm .b-single-post--file.b-single-post--filesInput .buttonContainer {
    float:right;
    width:auto;
    clear:none;
}

.commentForm .b-single-post--file.b-single-post--filesInput .buttonElement {
    /* background-color:transparent; */
    border:1px solid #<<$buttonCol>>;
    color:#<<$buttonCol>>;
}

.commentForm .b-single-post--filesInput p {
    padding:0;
}

.b-single-idea__new-comment-area-bottom > span {
		color: #d7d6d6;
		font-size: 20px;
		position: static;
		top: 8px !important;
}

.commentForm .b-single-idea__new-comment-area{
  padding: 5px 10px;
}

/* Comments Gallery
----------------------------------------------- */
.b-single-idea__comments .gallery .gallery_image__landscape-small img {
		height: 40px !important;
		min-height:40px !important;
	 	margin: 10px 0;
	 	max-width: 100%;
		border: 1px solid #d5d5d5;
		padding:2px;
}

.b-single-idea__comments .gallery .gallery_image__landscape-small,
.b-single-idea__comments .gallery .gallery_image__square {
		height: auto !important;
}

.b-single-idea__comments .b-single-file {
    background: #efefef none repeat scroll 0 0;
    float: left;
    font-size: 13px;
    margin: 0 10px 10px 0;
    padding: 5px;
    position: relative;
    width: 190px !important;
}

.b-single-idea__comments .gallery_image__square,
.b-single-idea__comments .image .gallery_image_landscape-large .gallery_image__landscape-large,
.b-single-idea__comments .gallery .gallery_image__landscape-large {
	height: 93px !important;
	width: 93px !important;
	padding:5px;
	border: 5px solid #efefef;
}

.b-single-idea__comments .gallery_image__square img,
.b-single-idea__comments .image .gallery_image_landscape-large .gallery_image__landscape-large img,
.b-single-idea__comments .gallery .gallery_image__landscape-large img {
    height:100%;
}

.clearfix:after {
  content:"";
  display:block;
  clear:both;
}
